"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _popover = require("@blueprintjs/core/lib/cjs/components/popover/popover.js");

var _buttons = require("@blueprintjs/core/lib/cjs/components/button/buttons.js");

var _datetime = require("@blueprintjs/datetime");

var _formGroup = _interopRequireDefault(require("../form-group/form-group"));

var _propsCatcher = _interopRequireDefault(require("../props-catcher/props-catcher"));

var DatePicker = function DatePicker(_ref) {
  var input = _ref.input,
      disabled = _ref.disabled,
      placeholder = _ref.placeholder,
      valueRenderer = _ref.valueRenderer,
      PopoverProps = _ref.PopoverProps,
      ButtonProps = _ref.ButtonProps,
      props = (0, _objectWithoutProperties2["default"])(_ref, ["input", "disabled", "placeholder", "valueRenderer", "PopoverProps", "ButtonProps"]);
  return /*#__PURE__*/_react["default"].createElement(_popover.Popover, (0, _extends2["default"])({
    disabled: disabled
  }, PopoverProps), /*#__PURE__*/_react["default"].createElement(_buttons.Button, (0, _extends2["default"])({
    text: input.value ? valueRenderer(input.value) : placeholder,
    disabled: disabled
  }, ButtonProps)), /*#__PURE__*/_react["default"].createElement(_datetime.DatePicker, (0, _extends2["default"])({
    id: input.name
  }, (0, _propsCatcher["default"])(props), input, {
    value: input.value || null
  })));
};

DatePicker.defaultProps = {
  placeholder: 'Select date...',
  valueRenderer: function valueRenderer(value) {
    return value.toString();
  }
};
DatePicker.propTypes = {
  input: _propTypes["default"].object,
  disabled: _propTypes["default"].bool,
  placeholder: _propTypes["default"].node,
  valueRenderer: _propTypes["default"].func,
  PopoverProps: _propTypes["default"].object,
  ButtonProps: _propTypes["default"].object
};

var WrapperDatePicker = function WrapperDatePicker(props) {
  return /*#__PURE__*/_react["default"].createElement(_formGroup["default"], (0, _extends2["default"])({}, props, {
    Component: DatePicker
  }));
};

var _default = WrapperDatePicker;
exports["default"] = _default;